#!/bin/sh
DISTRO=`uname -o |sed -e's/\n//'` ;
DISTRO2=`uname -a |sed -e's/\n//' | grep Arch` ;
	#echo SISTEMA: ${SISTEMA} ;
	if test "x${DISTRO}" != "xGNU/Linux" ; then 
	  case x${DISTRO} in \
         xCygwin*)  echo "";   DISTRO=CYGWIN      ;;
         xMINGW*)   echo "";   DISTRO=MINGW      ;;
         xFreeBSD ) echo "";   DISTRO=FREEBSD  ;;
         xSolaris ) echo "";   DISTRO=SOLARIS  ;;
         xSunOS )   echo "";   DISTRO=SUNOS  ;;
         xOpenBSD ) echo "";   DISTRO=OPENBSD       ;;
         xNetBSD )  echo "";   DISTRO=NETBSD        ;;
         x* )       echo "";   DISTRO=NONGNULINUX   ;;
          esac 
        else 
        UTU=`cat /etc/issue|grep ututo |sed -e's/\n//g'` ; 
	if test -e /etc/SuSE-release; then 
	   DISTRO=SUSE; 
	elif test -e /etc/mandriva-release; then 
	   DISTRO=MANDRIVA;
	elif test -e /etc/mandrake-release; then 
                DISTRO=MANDRAKE	;
	elif test -e /etc/redhat-release; then 
	   DISTRO=REDHAT; 
	elif test -e /etc/fedora-release; then 
	    DISTRO=FEDORA;
	elif test -e /etc/debian_version; then
	   DISTRO=DEBIAN;
	   if test -e /etc/issue ; then 
	      UBU=`grep 'Ubuntu' </etc/issue |sed -e's/\n//g'  `;
              if  test x"${UBU}" != x ; then 
               DISTRO=UBUNTU;
              fi; 
	   fi; \
	elif test -e /etc/yellowdog-release; then
               DISTRO=YELLOWDOG;	
	elif test -e /etc/ututo-release ; then 
           DISTRO=UTUTO;
         elif test -e /ututo.lastversion ; then 
           DISTRO=UTUTO;
         elif test x${UTU} != x ; then 
           DISTRO=UTUTO;
       elif test -e /etc/gentoo-release; then 
          DISTRO=GENTOO;
       elif test -e /etc/slackware-version; then 
          DISTRO=SLACKWARE;
          if test -e /etc/slax-version; then 
             DISTRO=Slax;
          fi; 
        fi; 
	if test "x${DISTRO2}" != "x"; then
             DISTRO=Arch;
	fi  ;
	fi  ;
echo $DISTRO;

# cat /etc/lsb-release
#LSB_VERSION=1.4
#DISTRIB_ID=Arch
#DISTRIB_RELEASE=rolling
#DISTRIB_DESCRIPTION="Arch Linux"

# "uname -a"
#Linux mork 4.8.10-1-ARCH #1 SMP PREEMPT Mon Nov 21 11:55:43 CET 2016 x86_64 GNU/Linux

#Sun JDS	/etc/sun-release
#Solaris/Sparc	/etc/release
#UnitedLinux	/etc/UnitedLinux-release

#gcc --version

#OS=`uname -s`
#REV=`uname -r`
#MACH=`uname -m`

GetVersionFromFile()
{
	VERSION=`cat $1 | tr "\n" ' ' | sed s/.*VERSION.*=\ // `
}

if [ "${OS}" = "SunOS" ] ; then
	OS=Solaris
	ARCH=`uname -p`	
	OSSTR="${OS} ${REV}(${ARCH} `uname -v`)"
elif [ "${OS}" = "AIX" ] ; then
	OSSTR="${OS} `oslevel` (`oslevel -r`)"
elif [ "${OS}" = "Linux" ] ; then
	KERNEL=`uname -r`
	if [ -f /etc/redhat-release ] ; then
		DIST='RedHat'
		PSUEDONAME=`cat /etc/redhat-release | sed s/.*\(// | sed s/\)//`
		REV=`cat /etc/redhat-release | sed s/.*release\ // | sed s/\ .*//`
	elif [ -f /etc/SUSE-release ] ; then
		DIST=`cat /etc/SUSE-release | tr "\n" ' '| sed s/VERSION.*//`
		REV=`cat /etc/SUSE-release | tr "\n" ' ' | sed s/.*=\ //`
	elif [ -f /etc/mandrake-release ] ; then
		DIST='Mandrake'
		PSUEDONAME=`cat /etc/mandrake-release | sed s/.*\(// | sed s/\)//`
		REV=`cat /etc/mandrake-release | sed s/.*release\ // | sed s/\ .*//`
	elif [ -f /etc/debian_version ] ; then
		DIST="Debian `cat /etc/debian_version`"
		REV=""

	fi
	if [ -f /etc/UnitedLinux-release ] ; then
		DIST="${DIST}[`cat /etc/UnitedLinux-release | tr "\n" ' ' | sed s/VERSION.*//`]"
	fi
	
	OSSTR="${OS} ${DIST} ${REV}(${PSUEDONAME} ${KERNEL} ${MACH})"

fi

#echo ${OSSTR}
